#include <FL/Fl_Pixmap.H>

static char *image_peach[] = {
"20 21 68 1",
" \tc None",
".\tc #F5D673",
"+\tc #6D3523",
"@\tc #A7451C",
"#\tc #B43124",
"$\tc #853917",
"%\tc #8E431A",
"&\tc #B34F25",
"*\tc #C43A29",
"=\tc #FCFCCC",
"-\tc #983917",
";\tc #AD2A1A",
">\tc #B8662C",
",\tc #CB4F32",
"\'\tc #CD6D32",
")\tc #DE7A41",
"!\tc #E7954B",
"~\tc #74110D",
"{\tc #DB9243",
"]\tc #EAAB52",
"^\tc #753416",
"/\tc #79432C",
"(\tc #EBCB64",
"_\tc #98241A",
":\tc #936B55",
"<\tc #ECD566",
"[\tc #842218",
"}\tc #E7CC55",
"|\tc #F0B964",
"1\tc #924E26",
"2\tc #EDD875",
"3\tc #8B1710",
"4\tc #A75E20",
"5\tc #A71E17",
"6\tc #DAAE47",
"7\tc #A1876C",
"8\tc #E1C34E",
"9\tc #D18D39",
"0\tc #D86A48",
"a\tc #BF8232",
"b\tc #DB593F",
"c\tc #80533F",
"d\tc #F4C864",
"e\tc #86320F",
"f\tc #923510",
"g\tc #5E0F0C",
"h\tc #945C3A",
"i\tc #B7A688",
"j\tc #8D3127",
"k\tc #DBD1AC",
"l\tc #F3D66A",
"m\tc #E8DAAF",
"n\tc #F4E173",
"o\tc #F0D690",
"p\tc #D2C19C",
"q\tc #ECE6B4",
"r\tc #E1A973",
"s\tc #D88E6B",
"t\tc #9B250C",
"u\tc #DAC33E",
"v\tc #63241C",
"w\tc #E7976D",
"x\tc #D9B38F",
"y\tc #F5E387",
"z\tc #F3F2C5",
"A\tc #EBE9C4",
"B\tc #82290C",
"C\tc #ECC77B",
"                    ",
"     >\'96}(do       ",
"     >a{6.n8}22     ",
"   :h4a8}}2u}}}<.   ",
"   h1>9}<l28B88.<o  ",
"  :$1>a9]]d2n<(<((o ",
" 7/1144&\'6{|d.<.2.C ",
" //11@a>\'9{]]|dd|!r ",
" +^%1-@\'499!{]]]]{! ",
" +^$$-@&>\'\'))){!)bb ",
" $^%e-@@@>>\'00,0,,b ",
" ^$$e-@@&&&,,,,**,, ",
" ^$%ef-@@@&***;;;*b ",
" /^%$--&@@*###;55,0 ",
" c$%%f---##*55;;#0m ",
" :/%-f--t@;;5;5##p  ",
"  :$B3~3[3_5;;*&0   ",
"   $[[[~~333___>p   ",
"    /vgg~~[j[c7     ",
"     ::+vvvc:k      ",
"                    "
};
static Fl_Pixmap pixmap_peach(image_peach);

static char *image_stepback[] = {
"13 14 11 1",
" \tc None",
".\tc #000000",
"+\tc #232323",
"@\tc #D7D7D7",
"#\tc #C6C6C6",
"$\tc #F2F2F2",
"%\tc #F4F4F4",
"&\tc #5B5B5B",
"*\tc #898989",
"=\tc #ACACAC",
"-\tc #DFDFDF",
".++.       ..",
".@#.      .$.",
".%#.     .&$.",
".%#.    .*#$.",
".%#.   .=##$.",
".%#.  .####$.",
".%#. .#####$.",
".%#. .#####$.",
".%#.  .####$.",
".%#.   .=##$.",
".%#.    .*#$.",
".-#.     .&$.",
".##.      .&.",
".++.       .."
};
static Fl_Pixmap pixmap_stepback(image_stepback);

static char *image_playbackwards[] = {
"9 14 7 1",
" \tc None",
".\tc #000000",
"+\tc #F2F2F2",
"@\tc #5B5B5B",
"#\tc #898989",
"$\tc #C6C6C6",
"%\tc #ACACAC",
"       ..",
"      .+.",
"     .@+.",
"    .#$+.",
"   .%$$+.",
"  .$$$$+.",
" .$$$$$+.",
" .$$$$$+.",
"  .$$$$+.",
"   .%$$+.",
"    .#$+.",
"     .@+.",
"      .@.",
"       .."
};
static Fl_Pixmap pixmap_playbackwards(image_playbackwards);

static char *image_playforwards[] = {
"9 14 7 1",
" \tc None",
".\tc #000000",
"+\tc #898989",
"@\tc #C6C6C6",
"#\tc #5B5B5B",
"$\tc #F2F2F2",
"%\tc #ACACAC",
"..       ",
".$.      ",
".$#.     ",
".$@+.    ",
".$@@%.   ",
".$@@@@.  ",
".$@@@@@. ",
".$@@@@@. ",
".$@@@@.  ",
".$@@%.   ",
".$@+.    ",
".$#.     ",
".#.      ",
"..       "
};
static Fl_Pixmap pixmap_playforwards(image_playforwards);

static char *image_pause[] = {
"9 14 7 1",
" \tc None",
".\tc #000000",
"+\tc #C6C6C6",
"@\tc #DFDFDF",
"#\tc #232323",
"$\tc #D7D7D7",
"%\tc #F4F4F4",
".##. .##.",
".$+. .$+.",
".%+. .%+.",
".%+. .%+.",
".%+. .%+.",
".%+. .%+.",
".%+. .%+.",
".%+. .%+.",
".%+. .%+.",
".%+. .%+.",
".%+. .%+.",
".@+. .@+.",
".++. .++.",
".##. .##."
};
static Fl_Pixmap pixmap_pause(image_pause);

static char *image_stop[] = {
"9 14 7 1",
" \tc None",
".\tc #000000",
"+\tc #BFBFBF",
"@\tc #E3E3E3",
"#\tc #262626",
"$\tc #F4F4F4",
"%\tc #C7C7C7",
".#######.",
".$@@@@@+.",
".$%%%%%+.",
".$%%%%%+.",
".$%%%%%+.",
".$%%%%%+.",
".$%%%%%+.",
".$%%%%%+.",
".$%%%%%+.",
".$%%%%%+.",
".$%%%%%+.",
".@%%%%%+.",
".+++++++.",
".#######."
};
static Fl_Pixmap pixmap_stop(image_stop);

static char *image_stepforward[] = {
"13 14 11 1",
" \tc None",
".\tc #000000",
"+\tc #232323",
"@\tc #F2F2F2",
"#\tc #C6C6C6",
"$\tc #D7D7D7",
"%\tc #5B5B5B",
"&\tc #F4F4F4",
"*\tc #898989",
"=\tc #ACACAC",
"-\tc #DFDFDF",
"..       .++.",
".@.      .#$.",
".@%.     .#&.",
".@#*.    .#&.",
".@##=.   .#&.",
".@####.  .#&.",
".@#####. .#&.",
".@#####. .#&.",
".@####.  .#&.",
".@##=.   .#&.",
".@#*.    .#&.",
".@%.     .#-.",
".%.      .##.",
"..       .++."
};
static Fl_Pixmap pixmap_stepforward(image_stepforward);

static char *image_dots3[] = {
"16 14 3 1",
" \tc None",
".\tc #FFFFFF",
"+\tc #27274F",
".   .   .   .   ",
" +   +   +   +  ",
"                ",
"                ",
"    .   .   .   ",
"     +   +   +  ",
"                ",
"                ",
"        .   .   ",
"         +   +  ",
"                ",
"                ",
"            .   ",
"             +  "
};
static Fl_Pixmap pixmap_dots3(image_dots3);
