dnl # ------------------------------------------------------------------------
dnl # chck for the pthreads library.
dnl # ------------------------------------------------------------------------

AC_DEFUN(AC_CHECK_PTHREAD,
        [ 
                AC_ARG_WITH(pthread-check,[  --without-pthread-check Specifies to ignore the pthread library check ],SS_IGNORE_PTHREAD_CHECK="$withval",SS_IGNORE_PTHREAD_CHECK="NOTGIVEN")

                AC_ARG_WITH(freebsd-pthread,[  --with-freebsd-pthread  Use the FreeBSD libc_r instead of libpthread  ],SS_FREEBSD_PTHREAD="yes",SS_FREEBSD_PTHREAD="no")

                if test "$SS_IGNORE_PTHREAD_CHECK" = "NOTGIVEN"; then

                        if test "$SS_FREEBSD_PTHREAD" = "yes"; then

                                AC_MSG_CHECKING([for a working libc_r linkage])
                                AC_CACHE_VAL(ac_cv_lib_pthread,[
                                        ac_save_LIBS="$LIBS"
                                        ac_save_CFLAGS="$CFLAGS"
                                        if test -n "$SS_OTHER_LIBDIRS"; then
                                                LIBS="-L$SS_OTHER_LIBDIRS -pthread"
                                        else
                                                LIBS="-pthread"
                                        fi
                                        if test -n "$SS_OTHER_INCDIRS"; then
                                                CFLAGS="-I$SS_OTHER_INCDIRS $CFLAGS"
                                        fi
                                        AC_TRY_LINK([
                                                #include <pthread.h>
                                                ],
                                                [pthread_exit(0);],
                                                eval "ac_cv_lib_pthread=-phtread",
                                                eval "ac_cv_lib_pthread=no"
                                        )
                                        LIBS="$ac_save_LIBS"
                                        CFLAGS="$ac_save_CFLAGS"
                                ])

                                if eval "test ! \"`echo $ac_cv_lib_pthread`\" = no"; then
                                        AC_MSG_RESULT(yes)
                                else
                                        echo "################################################################################"
                                        echo "### CONFIGURE ERROR:"
                                        echo "### Can not find the pthread library."
                                        echo "### Make sure that it is correctly installed on your system,"
                                        echo "### and it is in your usual libs directory (such as /lib or /usr/lib)."
                                        echo "### This is a widely used library , so it must be visible by the compilers."
                                        echo "### If you feel yourself lucky, you may try to run configure by passing the"
                                        echo "### --without-pthread-check option: this will make configure skipt this test."
                                        echo "### You may also take a look at the config.log file in this directory,"
                                        echo "### that will tell you which check has failed and maybe more about the reason"
                                        echo "### of the failure."
                                        echo "### If you're feeling that this may be a bug in this configure script"
                                        echo "### and want to report this to me , please include your configure script,"
                                        echo "### the config.log file as well as the complete configure output."
                                        echo "################################################################################"
                                        AC_MSG_ERROR(["This was a fatal one...aborting"])
                                fi
                        else 
                                AC_MSG_CHECKING([for libpthread])
                                AC_CACHE_VAL(ac_cv_lib_pthread,[
                                        ac_save_LIBS="$LIBS"
                                        ac_save_CFLAGS="$CFLAGS"
                                        if test -n "$SS_OTHER_LIBDIRS"; then
                                                LIBS="-L$SS_OTHER_LIBDIRS -lpthread"
                                        else
                                                LIBS="-lpthread"
                                        fi
                                        if test -n "$SS_OTHER_INCDIRS"; then
                                                CFLAGS="-I$SS_OTHER_INCDIRS $CFLAGS"
                                        fi
                                        AC_TRY_LINK([
                                                #include <pthread.h>
                                                ],
                                                [pthread_exit(0);],
                                                eval "ac_cv_lib_pthread=-lphtread",
                                                eval "ac_cv_lib_pthread=no"
                                        )
                                        LIBS="$ac_save_LIBS"
                                        CFLAGS="$ac_save_CFLAGS"
                                ])
                                if eval "test ! \"`echo $ac_cv_lib_pthread`\" = no"; then
                                        AC_MSG_RESULT(yes)
                                else
                                        echo "################################################################################"
                                        echo "### CONFIGURE ERROR:"
                                        echo "### Can not find the pthread library."
                                        echo "### Make sure that it is correctly installed on your system,"
                                        echo "### and it is in your usual libs directory (such as /lib or /usr/lib)."
                                        echo "### This is a widely used library , so it must be visible by the compilers."
                                        echo "### If you feel yourself lucky, you may try to run configure by passing the"
                                        echo "### --without-pthread-check option: this will make configure skipt this test."
                                        echo "### You may also take a look at the config.log file in this directory,"
                                        echo "### that will tell you which check has failed and maybe more about the reason"
                                        echo "### of the failure."
                                        echo "### If you're feeling that this may be a bug in this configure script"
                                        echo "### and want to report this to me , please include your configure script,"
                                        echo "### the config.log file as well as the complete configure output."
                                        echo "################################################################################"
                                        AC_MSG_ERROR(["This was a fatal one...aborting"])
                                fi
                        fi
                else
                        AC_MSG_RESULT("Trusting you...skipping the pthread library check")
                fi
        ]
)